const assert = require('assert');
const { When, Then } = require('@cucumber/cucumber');

When('the getAuthorizationHeader method is called', function() {
  this.call = this.adapter.getAuthorizationHeader();
  let callCount = this.adapter.getTrackedCalls('getAuthorizationHeader').length;
  this.callCounts.getAuthorizationHeader = callCount;
});

Then('a headers object is returned containing a bearer token authorization header', function() {
  this.call.then(headers => {
    assert.ok('Authorization' in headers);
    const authHeaderWords = headers.Authorization.split(" ");
    assert.ok(authHeaderWords[0] === 'Bearer');
    assert.ok(authHeaderWords[1] === this.adapter.credentials.token);
  });
});
